//
//  QHVCConvertContainer.h
//  QHVCPlayerKit
//
//  Created by A Nie on 2020/4/28.
//  Copyright © 2020 qihoo 360. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@interface QHVCConvertContainer : NSObject

/**
创建转容器句柄
*/
- (BOOL)create;

/**
转容器（异步执行）
@param url 源文件地址(同时支持网络和本地资源)
@param start 开始截取时间，0表示文件开始 ms
@param end 结束截取时间，0表示文件结束 ms
@param key 加密key（若没有传nil）
@param path 要保存的文件全路径（文件夹路径必须存在，包括文件名以及拓展名）
@param progressHandler 进度回调(1~100)100表示完成
@param completionHandler 结果回调

@return yes 参数合法 no 参数非法
*/
- (BOOL)startRemuxWithUrl:(NSString *)url start:(NSInteger)start end:(NSInteger)end key:(nullable NSString *)key savePath:(NSString *)path progress:(nullable void(^)(NSInteger progress))progressHandler completion:(void (^)(BOOL success))completionHandler;

/**
停止转换
*/
- (BOOL)stopRemux;

/**
销毁转容器句柄
*/
- (BOOL)close;

@end

NS_ASSUME_NONNULL_END
